Package icyllis.arc3d.compiler

# Class IntrinsicList

java.lang.Object
icyllis.arc3d.compiler.IntrinsicList

public final class IntrinsicList extends Object
A list of every supported intrinsic.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kAbs`
  General Math Functions
  `static final int`
  `kAcos`
  General Math Functions
  `static final int`
  `kAcosh`
  General Math Functions
  `static final int`
  `kAddBorrow`
  Integer Functions
  `static final int`
  `kAddCarry`
  Integer Functions
  `static final int`
  `kAll`
  Vector Relational Functions
  `static final int`
  `kAllInvocations`
  Shader Invocation Group Functions
  `static final int`
  `kAllInvocationsEqual`
  Shader Invocation Group Functions
  `static final int`
  `kAny`
  Vector Relational Functions
  `static final int`
  `kAnyInvocation`
  Shader Invocation Group Functions
  `static final int`
  `kAsin`
  General Math Functions
  `static final int`
  `kAsinh`
  General Math Functions
  `static final int`
  `kAtan`
  General Math Functions
  `static final int`
  `kAtanh`
  General Math Functions
  `static final int`
  `kAtomicAdd`
  Atomic Memory Functions
  `static final int`
  `kAtomicAnd`
  Atomic Memory Functions
  `static final int`
  `kAtomicCompSwap`
  Atomic Memory Functions
  `static final int`
  `kAtomicExchange`
  Atomic Memory Functions
  `static final int`
  `kAtomicMax`
  Atomic Memory Functions
  `static final int`
  `kAtomicMin`
  Atomic Memory Functions
  `static final int`
  `kAtomicOr`
  Atomic Memory Functions
  `static final int`
  `kAtomicXor`
  Atomic Memory Functions
  `static final int`
  `kBarrier`
  Shader Control Functions
  `static final int`
  `kBitCount`
  Integer Functions
  `static final int`
  `kBitfieldExtract`
  Integer Functions
  `static final int`
  `kBitfieldInsert`
  Integer Functions
  `static final int`
  `kBitReverse`
  Integer Functions
  `static final int`
  `kCeil`
  General Math Functions
  `static final int`
  `kClamp`
  General Math Functions
  `static final int`
  `kCos`
  General Math Functions
  `static final int`
  `kCosh`
  General Math Functions
  `static final int`
  `kCount`
  `static final int`
  `kCross`
  Geometric Functions
  `static final int`
  `kDegrees`
  General Math Functions
  `static final int`
  `kDeterminant`
  Matrix Functions
  `static final int`
  `kDistance`
  Geometric Functions
  `static final int`
  `kDot`
  Geometric Functions
  `static final int`
  `kDPdx`
  Derivative Functions
  `static final int`
  `kDPdxCoarse`
  Derivative Functions
  `static final int`
  `kDPdxFine`
  Derivative Functions
  `static final int`
  `kDPdy`
  Derivative Functions
  `static final int`
  `kDPdyCoarse`
  Derivative Functions
  `static final int`
  `kDPdyFine`
  Derivative Functions
  `static final int`
  `kEqual`
  Vector Relational Functions
  `static final int`
  `kExp`
  General Math Functions
  `static final int`
  `kExp2`
  General Math Functions
  `static final int`
  `kFaceForward`
  Geometric Functions
  `static final int`
  `kFindLSB`
  Integer Functions
  `static final int`
  `kFindMSB`
  Integer Functions
  `static final int`
  `kFloatBitsToInt`
  General Math Functions
  `static final int`
  `kFloatBitsToUint`
  General Math Functions
  `static final int`
  `kFloor`
  General Math Functions
  `static final int`
  `kFma`
  General Math Functions
  `static final int`
  `kFract`
  General Math Functions
  `static final int`
  `kFrexp`
  General Math Functions
  `static final int`
  `kFwidth`
  Derivative Functions
  `static final int`
  `kFwidthCoarse`
  Derivative Functions
  `static final int`
  `kFwidthFine`
  Derivative Functions
  `static final int`
  `kGreaterThan`
  Vector Relational Functions
  `static final int`
  `kGreaterThanEqual`
  Vector Relational Functions
  `static final int`
  `kImageAtomicAdd`
  Image Functions
  `static final int`
  `kImageAtomicAnd`
  Image Functions
  `static final int`
  `kImageAtomicCompSwap`
  Image Functions
  `static final int`
  `kImageAtomicExchange`
  Image Functions
  `static final int`
  `kImageAtomicMax`
  Image Functions
  `static final int`
  `kImageAtomicMin`
  Image Functions
  `static final int`
  `kImageAtomicOr`
  Image Functions
  `static final int`
  `kImageAtomicXor`
  Image Functions
  `static final int`
  `kImageLoad`
  Image Functions
  `static final int`
  `kImageQuerySamples`
  Image Functions
  `static final int`
  `kImageQuerySize`
  Image Functions
  `static final int`
  `kImageStore`
  Image Functions
  `static final int`
  `kIMulExtended`
  Integer Functions
  `static final int`
  `kIntBitsToFloat`
  General Math Functions
  `static final int`
  `kInterpolateAtCentroid`
  Interpolation Functions
  `static final int`
  `kInterpolateAtOffset`
  Interpolation Functions
  `static final int`
  `kInterpolateAtSample`
  Interpolation Functions
  `static final int`
  `kInverseSqrt`
  General Math Functions
  `static final int`
  `kIsInf`
  General Math Functions
  `static final int`
  `kIsNan`
  General Math Functions
  `static final int`
  `kLdexp`
  General Math Functions
  `static final int`
  `kLength`
  Geometric Functions
  `static final int`
  `kLessThan`
  Vector Relational Functions
  `static final int`
  `kLessThanEqual`
  Vector Relational Functions
  `static final int`
  `kLog`
  General Math Functions
  `static final int`
  `kLog2`
  General Math Functions
  `static final int`
  `kLogicalNot`
  Vector Relational Functions
  `static final int`
  `kMatrixCompMult`
  Matrix Functions
  `static final int`
  `kMatrixInverse`
  Matrix Functions
  `static final int`
  `kMax`
  General Math Functions
  `static final int`
  `kMemoryBarrier`
  Shader Control Functions
  `static final int`
  `kMemoryBarrierBuffer`
  Shader Control Functions
  `static final int`
  `kMemoryBarrierImage`
  Shader Control Functions
  `static final int`
  `kMemoryBarrierShared`
  Shader Control Functions
  `static final int`
  `kMin`
  General Math Functions
  `static final int`
  `kMix`
  General Math Functions
  `static final int`
  `kMod`
  General Math Functions
  `static final int`
  `kModf`
  General Math Functions
  `static final int`
  `kNormalize`
  Geometric Functions
  `static final int`
  `kNotEqual`
  Vector Relational Functions
  `static final int`
  `kNotIntrinsic`
  `static final int`
  `kOuterProduct`
  Matrix Functions
  `static final int`
  `kPackDouble2x32`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kPackHalf2x16`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kPackSnorm2x16`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kPackSnorm4x8`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kPackUnorm2x16`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kPackUnorm4x8`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kPow`
  General Math Functions
  `static final int`
  `kRadians`
  General Math Functions
  `static final int`
  `kReflect`
  Geometric Functions
  `static final int`
  `kRefract`
  Geometric Functions
  `static final int`
  `kRound`
  General Math Functions
  `static final int`
  `kRoundEven`
  General Math Functions
  `static final int`
  `kSaturate`
  General Math Functions
  `static final int`
  `kSign`
  General Math Functions
  `static final int`
  `kSin`
  General Math Functions
  `static final int`
  `kSinh`
  General Math Functions
  `static final int`
  `kSmoothStep`
  General Math Functions
  `static final int`
  `kSqrt`
  General Math Functions
  `static final int`
  `kStep`
  General Math Functions
  `static final int`
  `kSubpassLoad`
  Subpass-Input Functions
  `static final int`
  `kTan`
  General Math Functions
  `static final int`
  `kTanh`
  General Math Functions
  `static final int`
  `kTexture`
  Texture Lookup Functions
  `static final int`
  `kTextureFetch`
  Texture Lookup Functions
  `static final int`
  `kTextureFetchOffset`
  Texture Lookup Functions
  `static final int`
  `kTextureGather`
  Texture Gather Functions
  `static final int`
  `kTextureGatherOffset`
  Texture Gather Functions
  `static final int`
  `kTextureGatherOffsets`
  Texture Gather Functions
  `static final int`
  `kTextureGrad`
  Texture Lookup Functions
  `static final int`
  `kTextureGradOffset`
  Texture Lookup Functions
  `static final int`
  `kTextureLod`
  Texture Lookup Functions
  `static final int`
  `kTextureLodOffset`
  Texture Lookup Functions
  `static final int`
  `kTextureOffset`
  Texture Lookup Functions
  `static final int`
  `kTextureProj`
  Texture Lookup Functions
  `static final int`
  `kTextureProjGrad`
  Texture Lookup Functions
  `static final int`
  `kTextureProjGradOffset`
  Texture Lookup Functions
  `static final int`
  `kTextureProjLod`
  Texture Lookup Functions
  `static final int`
  `kTextureProjLodOffset`
  Texture Lookup Functions
  `static final int`
  `kTextureProjOffset`
  Texture Lookup Functions
  `static final int`
  `kTextureQueryLevels`
  Texture Query Functions
  `static final int`
  `kTextureQueryLod`
  Texture Query Functions
  `static final int`
  `kTextureQuerySamples`
  Texture Query Functions
  `static final int`
  `kTextureQuerySize`
  Texture Query Functions
  `static final int`
  `kTranspose`
  Matrix Functions
  `static final int`
  `kTrunc`
  General Math Functions
  `static final int`
  `kUintBitsToFloat`
  General Math Functions
  `static final int`
  `kUMulExtended`
  Integer Functions
  `static final int`
  `kUnpackDouble2x32`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kUnpackHalf2x16`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kUnpackSnorm2x16`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kUnpackSnorm4x8`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kUnpackUnorm2x16`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kUnpackUnorm4x8`
  Floating-Point Pack and Unpack Functions
  `static final int`
  `kWorkgroupBarrier`
  Shader Control Functions

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `findIntrinsicKind(String name)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### kNotIntrinsic

    public static final int kNotIntrinsic
    See Also:
      - Constant Field Values

  - ### kRound

    public static final int kRound
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kRoundEven

    public static final int kRoundEven
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kTrunc

    public static final int kTrunc
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kAbs

    public static final int kAbs
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kSign

    public static final int kSign
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kFloor

    public static final int kFloor
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kCeil

    public static final int kCeil
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kFract

    public static final int kFract
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kRadians

    public static final int kRadians
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kDegrees

    public static final int kDegrees
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kSin

    public static final int kSin
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kCos

    public static final int kCos
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kTan

    public static final int kTan
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kAsin

    public static final int kAsin
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kAcos

    public static final int kAcos
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kAtan

    public static final int kAtan
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kSinh

    public static final int kSinh
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kCosh

    public static final int kCosh
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kTanh

    public static final int kTanh
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kAsinh

    public static final int kAsinh
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kAcosh

    public static final int kAcosh
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kAtanh

    public static final int kAtanh
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kPow

    public static final int kPow
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kExp

    public static final int kExp
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kLog

    public static final int kLog
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kExp2

    public static final int kExp2
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kLog2

    public static final int kLog2
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kSqrt

    public static final int kSqrt
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kInverseSqrt

    public static final int kInverseSqrt
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kMod

    public static final int kMod
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kModf

    public static final int kModf
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kMin

    public static final int kMin
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kMax

    public static final int kMax
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kClamp

    public static final int kClamp
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kSaturate

    public static final int kSaturate
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kMix

    public static final int kMix
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kStep

    public static final int kStep
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kSmoothStep

    public static final int kSmoothStep
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kIsNan

    public static final int kIsNan
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kIsInf

    public static final int kIsInf
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kFloatBitsToInt

    public static final int kFloatBitsToInt
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kFloatBitsToUint

    public static final int kFloatBitsToUint
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kIntBitsToFloat

    public static final int kIntBitsToFloat
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kUintBitsToFloat

    public static final int kUintBitsToFloat
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kFma

    public static final int kFma
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kFrexp

    public static final int kFrexp
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kLdexp

    public static final int kLdexp
    General Math Functions
    See Also:
      - Constant Field Values

  - ### kPackSnorm4x8

    public static final int kPackSnorm4x8
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kPackUnorm4x8

    public static final int kPackUnorm4x8
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kPackSnorm2x16

    public static final int kPackSnorm2x16
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kPackUnorm2x16

    public static final int kPackUnorm2x16
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kPackHalf2x16

    public static final int kPackHalf2x16
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kPackDouble2x32

    public static final int kPackDouble2x32
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kUnpackSnorm4x8

    public static final int kUnpackSnorm4x8
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kUnpackUnorm4x8

    public static final int kUnpackUnorm4x8
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kUnpackSnorm2x16

    public static final int kUnpackSnorm2x16
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kUnpackUnorm2x16

    public static final int kUnpackUnorm2x16
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kUnpackHalf2x16

    public static final int kUnpackHalf2x16
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kUnpackDouble2x32

    public static final int kUnpackDouble2x32
    Floating-Point Pack and Unpack Functions
    See Also:
      - Constant Field Values

  - ### kLength

    public static final int kLength
    Geometric Functions
    See Also:
      - Constant Field Values

  - ### kDistance

    public static final int kDistance
    Geometric Functions
    See Also:
      - Constant Field Values

  - ### kDot

    public static final int kDot
    Geometric Functions
    See Also:
      - Constant Field Values

  - ### kCross

    public static final int kCross
    Geometric Functions
    See Also:
      - Constant Field Values

  - ### kNormalize

    public static final int kNormalize
    Geometric Functions
    See Also:
      - Constant Field Values

  - ### kFaceForward

    public static final int kFaceForward
    Geometric Functions
    See Also:
      - Constant Field Values

  - ### kReflect

    public static final int kReflect
    Geometric Functions
    See Also:
      - Constant Field Values

  - ### kRefract

    public static final int kRefract
    Geometric Functions
    See Also:
      - Constant Field Values

  - ### kAny

    public static final int kAny
    Vector Relational Functions
    See Also:
      - Constant Field Values

  - ### kAll

    public static final int kAll
    Vector Relational Functions
    See Also:
      - Constant Field Values

  - ### kLogicalNot

    public static final int kLogicalNot
    Vector Relational Functions
    See Also:
      - Constant Field Values

  - ### kEqual

    public static final int kEqual
    Vector Relational Functions
    See Also:
      - Constant Field Values

  - ### kNotEqual

    public static final int kNotEqual
    Vector Relational Functions
    See Also:
      - Constant Field Values

  - ### kLessThan

    public static final int kLessThan
    Vector Relational Functions
    See Also:
      - Constant Field Values

  - ### kGreaterThan

    public static final int kGreaterThan
    Vector Relational Functions
    See Also:
      - Constant Field Values

  - ### kLessThanEqual

    public static final int kLessThanEqual
    Vector Relational Functions
    See Also:
      - Constant Field Values

  - ### kGreaterThanEqual

    public static final int kGreaterThanEqual
    Vector Relational Functions
    See Also:
      - Constant Field Values

  - ### kMatrixCompMult

    public static final int kMatrixCompMult
    Matrix Functions
    See Also:
      - Constant Field Values

  - ### kOuterProduct

    public static final int kOuterProduct
    Matrix Functions
    See Also:
      - Constant Field Values

  - ### kDeterminant

    public static final int kDeterminant
    Matrix Functions
    See Also:
      - Constant Field Values

  - ### kMatrixInverse

    public static final int kMatrixInverse
    Matrix Functions
    See Also:
      - Constant Field Values

  - ### kTranspose

    public static final int kTranspose
    Matrix Functions
    See Also:
      - Constant Field Values

  - ### kDPdx

    public static final int kDPdx
    Derivative Functions
    See Also:
      - Constant Field Values

  - ### kDPdy

    public static final int kDPdy
    Derivative Functions
    See Also:
      - Constant Field Values

  - ### kFwidth

    public static final int kFwidth
    Derivative Functions
    See Also:
      - Constant Field Values

  - ### kDPdxFine

    public static final int kDPdxFine
    Derivative Functions
    See Also:
      - Constant Field Values

  - ### kDPdyFine

    public static final int kDPdyFine
    Derivative Functions
    See Also:
      - Constant Field Values

  - ### kFwidthFine

    public static final int kFwidthFine
    Derivative Functions
    See Also:
      - Constant Field Values

  - ### kDPdxCoarse

    public static final int kDPdxCoarse
    Derivative Functions
    See Also:
      - Constant Field Values

  - ### kDPdyCoarse

    public static final int kDPdyCoarse
    Derivative Functions
    See Also:
      - Constant Field Values

  - ### kFwidthCoarse

    public static final int kFwidthCoarse
    Derivative Functions
    See Also:
      - Constant Field Values

  - ### kInterpolateAtCentroid

    public static final int kInterpolateAtCentroid
    Interpolation Functions
    See Also:
      - Constant Field Values

  - ### kInterpolateAtSample

    public static final int kInterpolateAtSample
    Interpolation Functions
    See Also:
      - Constant Field Values

  - ### kInterpolateAtOffset

    public static final int kInterpolateAtOffset
    Interpolation Functions
    See Also:
      - Constant Field Values

  - ### kAddCarry

    public static final int kAddCarry
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kAddBorrow

    public static final int kAddBorrow
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kUMulExtended

    public static final int kUMulExtended
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kIMulExtended

    public static final int kIMulExtended
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kBitfieldExtract

    public static final int kBitfieldExtract
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kBitfieldInsert

    public static final int kBitfieldInsert
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kBitReverse

    public static final int kBitReverse
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kBitCount

    public static final int kBitCount
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kFindLSB

    public static final int kFindLSB
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kFindMSB

    public static final int kFindMSB
    Integer Functions
    See Also:
      - Constant Field Values

  - ### kAtomicAdd

    public static final int kAtomicAdd
    Atomic Memory Functions
    See Also:
      - Constant Field Values

  - ### kAtomicMin

    public static final int kAtomicMin
    Atomic Memory Functions
    See Also:
      - Constant Field Values

  - ### kAtomicMax

    public static final int kAtomicMax
    Atomic Memory Functions
    See Also:
      - Constant Field Values

  - ### kAtomicAnd

    public static final int kAtomicAnd
    Atomic Memory Functions
    See Also:
      - Constant Field Values

  - ### kAtomicOr

    public static final int kAtomicOr
    Atomic Memory Functions
    See Also:
      - Constant Field Values

  - ### kAtomicXor

    public static final int kAtomicXor
    Atomic Memory Functions
    See Also:
      - Constant Field Values

  - ### kAtomicExchange

    public static final int kAtomicExchange
    Atomic Memory Functions
    See Also:
      - Constant Field Values

  - ### kAtomicCompSwap

    public static final int kAtomicCompSwap
    Atomic Memory Functions
    See Also:
      - Constant Field Values

  - ### kBarrier

    public static final int kBarrier
    Shader Control Functions
    See Also:
      - Constant Field Values

  - ### kMemoryBarrier

    public static final int kMemoryBarrier
    Shader Control Functions
    See Also:
      - Constant Field Values

  - ### kMemoryBarrierBuffer

    public static final int kMemoryBarrierBuffer
    Shader Control Functions
    See Also:
      - Constant Field Values

  - ### kMemoryBarrierShared

    public static final int kMemoryBarrierShared
    Shader Control Functions
    See Also:
      - Constant Field Values

  - ### kMemoryBarrierImage

    public static final int kMemoryBarrierImage
    Shader Control Functions
    See Also:
      - Constant Field Values

  - ### kWorkgroupBarrier

    public static final int kWorkgroupBarrier
    Shader Control Functions
    See Also:
      - Constant Field Values

  - ### kAnyInvocation

    public static final int kAnyInvocation
    Shader Invocation Group Functions
    See Also:
      - Constant Field Values

  - ### kAllInvocations

    public static final int kAllInvocations
    Shader Invocation Group Functions
    See Also:
      - Constant Field Values

  - ### kAllInvocationsEqual

    public static final int kAllInvocationsEqual
    Shader Invocation Group Functions
    See Also:
      - Constant Field Values

  - ### kTextureQuerySize

    public static final int kTextureQuerySize
    Texture Query Functions
    See Also:
      - Constant Field Values

  - ### kTextureQueryLod

    public static final int kTextureQueryLod
    Texture Query Functions
    See Also:
      - Constant Field Values

  - ### kTextureQueryLevels

    public static final int kTextureQueryLevels
    Texture Query Functions
    See Also:
      - Constant Field Values

  - ### kTextureQuerySamples

    public static final int kTextureQuerySamples
    Texture Query Functions
    See Also:
      - Constant Field Values

  - ### kTexture

    public static final int kTexture
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureProj

    public static final int kTextureProj
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureLod

    public static final int kTextureLod
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureOffset

    public static final int kTextureOffset
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureFetch

    public static final int kTextureFetch
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureFetchOffset

    public static final int kTextureFetchOffset
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureProjOffset

    public static final int kTextureProjOffset
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureLodOffset

    public static final int kTextureLodOffset
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureProjLod

    public static final int kTextureProjLod
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureProjLodOffset

    public static final int kTextureProjLodOffset
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureGrad

    public static final int kTextureGrad
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureGradOffset

    public static final int kTextureGradOffset
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureProjGrad

    public static final int kTextureProjGrad
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureProjGradOffset

    public static final int kTextureProjGradOffset
    Texture Lookup Functions
    See Also:
      - Constant Field Values

  - ### kTextureGather

    public static final int kTextureGather
    Texture Gather Functions
    See Also:
      - Constant Field Values

  - ### kTextureGatherOffset

    public static final int kTextureGatherOffset
    Texture Gather Functions
    See Also:
      - Constant Field Values

  - ### kTextureGatherOffsets

    public static final int kTextureGatherOffsets
    Texture Gather Functions
    See Also:
      - Constant Field Values

  - ### kImageQuerySize

    public static final int kImageQuerySize
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageQuerySamples

    public static final int kImageQuerySamples
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageLoad

    public static final int kImageLoad
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageStore

    public static final int kImageStore
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageAtomicAdd

    public static final int kImageAtomicAdd
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageAtomicMin

    public static final int kImageAtomicMin
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageAtomicMax

    public static final int kImageAtomicMax
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageAtomicAnd

    public static final int kImageAtomicAnd
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageAtomicOr

    public static final int kImageAtomicOr
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageAtomicXor

    public static final int kImageAtomicXor
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageAtomicExchange

    public static final int kImageAtomicExchange
    Image Functions
    See Also:
      - Constant Field Values

  - ### kImageAtomicCompSwap

    public static final int kImageAtomicCompSwap
    Image Functions
    See Also:
      - Constant Field Values

  - ### kSubpassLoad

    public static final int kSubpassLoad
    Subpass-Input Functions
    See Also:
      - Constant Field Values

  - ### kCount

    public static final int kCount
    See Also:
      - Constant Field Values

- ## Method Details

  - ### findIntrinsicKind

    public static int findIntrinsicKind(String name)